Subject: Re: bug#76723: 30.1; M-x shortdoc seq should work

From: Visuwesh <[email-masked]>
Date: Tue, 04 Mar 2025 09:22:30 +0530

[திங்கள் மார்ச் 03, 2025] Charles Choi wrote:

> --text follows this line--
>
> *** Title
> M-x shortdoc seq should work
>
> *** Description
> In looking for documentation for the seq library, I tried M-x shortdoc seq. To get it I must instead type "sequence" which is confusing and not discoverable.
>
> *** Environment
> Emacs 30.1
>
> *** Steps to Reproduce
> 1. Enter M-x shortdoc seq
>    
> *** Expected Result
> I get the shortdoc for the seq library.
>
> *** Actual Result
> I get the message "No such documentation group seq"

Can you try the patch below?

diff --git a/lisp/emacs-lisp/shortdoc.el b/lisp/emacs-lisp/shortdoc.el
index cc9971b232f..6f7d61ac929 100644
--- a/lisp/emacs-lisp/shortdoc.el
+++ b/lisp/emacs-lisp/shortdoc.el
@@ -1602,7 +1602,8 @@ shortdoc-display-group
 If FUNCTION is non-nil, place point on the entry for FUNCTION (if any).
 If SAME-WINDOW, don't pop to a new window."
   (interactive (list (completing-read "Show summary for functions in: "
-                                      (mapcar #'car shortdoc--groups))))
+                                      (mapcar #'car shortdoc--groups)
+                                      nil t)))
   (when (stringp group)
     (setq group (intern group)))
   (unless (assq group shortdoc--groups)